Subject: SEO Candidate - Siddharth Upadhyaya
From: Siddharth Upadhyaya <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 4 Jul 2022 03:19:19 -0400

SEO
Test

Name

Siddharth
Upadhyaya

E-mail

[email-masked]

Phone Number

(91) 9810952236

Where do you currently live
(area)

East Delhi

Please give us details
of your last 3 employments including current. If you've not worked in 3
companies, please enter NA

Name of Company

Designation

Last
working day

Monthly Salary (inhand)

Current
Employer

Previous Employer 1

Globalhunt
Technologies

Content writer

30 June 2022

18000

Previous Employer 2

Triple I Business

Digital
Marketing Executive

18 April 2021

17000

Have you independently worked on SEO
for any website?  If yes, what was the website, and what were the
keywords?

Yes, I had independently worked on SEO for
several websites.

One of the keyword was

subclass 482 visa -
https://www.tripleibusiness.com/visa/australia/skilled/482-Visa

Have you done SEO for any international websites? If
yes, which ones and in what countries were you working on ranking them?

I have done SEO for websites in order to get better positioning
for keywords in SERPs and leads. Countries were Canada, Australia, USA, Spain,
etc.

Give a list of Keywords that you have ranked and
name of websites

I was working as a content writer in my last
organisation, that is why, I currently do not have the list of keywords that I
have ranked earlier in my career.

How do you do Keyword
Research?

I do keyword research by using Google Keyword
Planner and several other tools available. I fetch the reports comprising
keywords along with their respective competition and then I select the best
keywords that are going to highly benefit the website.

What activities do
you perform Off Page?

I do blogging, articles, ppt making and
submission, forum posting, question and answering, image submission, video
submission, bookmarking, etc in off page activities.